<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/bg_search_label"
    android:gravity="center_horizontal"
    android:orientation="vertical">

    <TextView
        android:id="@+id/searchResultView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/dp_10"
        android:background="@mipmap/bg_small_text_red"
        android:fontFamily="@font/fzdhjt"
        android:gravity="center_horizontal"
        android:paddingHorizontal="@dimen/dp_10"
        android:paddingVertical="@dimen/dp_10"
        android:text="未检测到标识器"
        android:textColor="#8D1717"
        android:textSize="@dimen/sp_16" />

    <com.casic.detector.widgets.RadarScanView
        android:id="@+id/radarScanView"
        android:layout_width="320dp"
        android:layout_height="0dp"
        android:layout_weight="1"
        app:radar_border="@dimen/dp_1"
        app:radar_borderColor="#BF8D1717"
        app:radar_circleCount="4"
        app:radar_radius="@dimen/dp_125" />

    <TextView
        android:id="@+id/energyTipsView"
        android:layout_width="320dp"
        android:layout_height="wrap_content"
        android:layout_marginVertical="@dimen/dp_10"
        android:background="@mipmap/bg_large_text_red"
        android:fontFamily="@font/fzdhjt"
        android:gravity="center"
        android:padding="@dimen/dp_15"
        android:text="标识器信号较弱，可能距离较远"
        android:textColor="#8D1717"
        android:textSize="@dimen/sp_20" />

    <LinearLayout
        android:layout_width="320dp"
        android:layout_height="wrap_content"
        android:gravity="center_vertical"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="强度（dB）:"
                android:textColor="@color/white" />

            <TextView
                android:id="@+id/energyValueView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_3"
                android:text="0dB"
                android:textColor="@color/white" />
        </LinearLayout>

        <!-- 探测仪能量最大值是5150 -->
        <ProgressBar
            android:id="@+id/energyPgBar"
            style="@style/Widget.AppCompat.ProgressBar.Horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="@dimen/dp_3"
            android:max="5150"
            android:progressDrawable="@drawable/bg_progress_bar" />

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_20" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="距离（cm）:"
            android:textColor="@color/white" />

        <ProgressBar
            android:id="@+id/distancePgBar"
            style="@style/Widget.AppCompat.ProgressBar.Horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="@dimen/dp_3"
            android:progressDrawable="@drawable/bg_progress_bar" />
    </LinearLayout>

    <RelativeLayout
        android:id="@+id/buttonLayout"
        android:layout_width="320dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginBottom="@dimen/dp_30"
        android:gravity="center_horizontal">

        <Button
            android:id="@+id/depthButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@mipmap/left_button_disable"
            android:enabled="false"
            android:fontFamily="@font/fzdhjt"
            android:paddingHorizontal="@dimen/dp_20"
            android:paddingVertical="@dimen/dp_15"
            android:text="标识器测距"
            android:textColor="#CCCCCC"
            android:textSize="@dimen/sp_22" />

        <Button
            android:id="@+id/markerInfoButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:background="@mipmap/right_button_disable"
            android:enabled="false"
            android:fontFamily="@font/fzdhjt"
            android:paddingHorizontal="@dimen/dp_20"
            android:paddingVertical="@dimen/dp_15"
            android:text="标识器信息"
            android:textColor="#CCCCCC"
            android:textSize="@dimen/sp_22" />
    </RelativeLayout>
</LinearLayout>